%%Standard: Minimum neccessary.
%Must be minimum information or law does not apply
permitted_by_164_502_b(A) :-
  permitted_by_164_502_b_1(A);
  excluded_164_502_b_2(A).
  
permitted_by_164_502_b_1(A) :-
  is_msg_minimum(A).
  
%Minimum necessary does not apply in these cases.
excluded_164_502_b_2(A) :-
  excluded_164_502_b_2_i(A);
  excluded_164_502_b_2_ii(A);
  excluded_164_502_b_2_iii(A);
  excluded_164_502_b_2_iv(A);
  excluded_164_502_b_2_v(A);
  excluded_164_502_b_2_vi(A).  
  
excluded_164_502_b_2_i(A) :-
  is_for_treatment(A),
  (is_from_healthCareProvider(A);
   is_to_healthCareProvider(A)).
  
excluded_164_502_b_2_ii(A) :-
  permitted_by_164_502_a_1_i(A).
  
excluded_164_502_b_2_iii(A) :-
  require_authorization_by_164_508(A).
  
excluded_164_502_b_2_iv(A) :-
  is_to_secretary(A),
  permitted_by_160_C(A).
   
excluded_164_502_b_2_v(A) :-   
  permitted_by_164_512_a(A).
   
%Need to add more required types.   (Incomplete)
excluded_164_502_b_2_vi(A) :-
  required_by_164_502_a_2(A).
